Subject: [sunset4] Fwd: AWS Using Class E IPv4 Address on internal Routing

From: Greg Skinner <[email-masked]>
Date: Wed, 10 Mar 2021 11:09:34 -0800

FYI, this is part of a NANOG thread concerning IPv4 class E repurposing.  The entire thread starts at https://mailman.nanog.org/pipermail/nanog/2021-March/212499.html <https://mailman.nanog.org/pipermail/nanog/2021-March/212499.html>.

Regards, Greg

> Begin forwarded message:
> 
> From: [email-masked] (Fred Baker)
> Subject: AWS Using Class E IPv4 Address on internal Routing
> Date: March 9, 2021 at 6:53:33 AM PST
> 
> The "RFC" you're looking for is probably https://tools.ietf.org/html/draft-wilson-class-e-02, which was not agreed to and so has no RFC number. The fundamental issue that was raised during that discussion was that while repurposing class e would provide a few more IPv4 addresses and so delay the need to replace the IPv4 protocol for some period of time, APNIC's experience with a new /8 in 2011 (it was given the /8 in January 2011, and by April had largely distributed it to its members) suggests that the address space would be used up almost immediately if distributed publicly, and if used privately doesn't benefit the many networks that really honestly wish that we could squeeze more than 2^32 addresses into a 32 bit container.
> 
> I'd really suggest using IPv6. Networks like Reliance JIO in India, which has turned off or never turned on IPv4 for most of its services, find that they don't need IPv4 apart from customer preference.
> 
>> On Mar 9, 2021, at 6:36 AM, Douglas Fischer <fischerdouglas at gmail.com> wrote:
>> 
>> So, if an organization wants to use that, they will require from the vendors the compliance with that RFC.
>> 
>> 
>> 
>> Em ter., 9 de mar. de 2021 ?s 11:00, Forrest Christian (List Account) <lists at packetflux.com> escreveu:
>> Back a little bit ago when the thread about running out of RFC-1918 space was going on, I was going to make a suggestion about repurposing the Class E space in the case where one ran out of space, assuming one could get the vendors on your network to support this address range.
>> 
>> I sort of discarded the suggestion just because of the whole issue of that range being hardcoded as invalid in so many implementations that this didn't seem all that useful.
>> 
>> On the other hand, if you're large enough that you're running out of RFC-1918 space you might be able to exert enough power over select vendors to get them to make this work for selected purposes.   Router-to-Router links, especially between higher-end routers seems to be one of those cases that it might be useful.     It might be the case that Amazon is already doing this....
>> 
>> 
>> On Mon, Mar 8, 2021 at 12:07 PM Douglas Fischer <fischerdouglas at gmail.com> wrote:
>> Has anybody seen that also?
>> 
>> P.S.: I'm completely in favor of a complementary RFC assing FUTURE USE exclusively to "Between Routers" Link Networks...
>> 
>> --
>> Douglas Fernando Fischer
>> Eng? de Controle e Automa??o
>> 
>> 
>> --
>> - Forrest
>> 
>> 
>> 
> 
> -------------- next part --------------
> A non-text attachment was scrubbed...
> Name: signature.asc
> Type: application/pgp-signature
> Size: 833 bytes
> Desc: Message signed with OpenPGP
> URL: <http://mailman.nanog.org/pipermail/nanog/attachments/20210309/d37f58af/attachment.sig>
>